import { defineComponent, computed, renderSlot } from "vue";
import { defaultConfig, useMotionConfig, provideMotionConfig } from "./context.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...{
    name: "MotionConfig",
    inheritAttrs: false
  },
  __name: "MotionConfig",
  props: {
    transition: {},
    reduceMotion: { default: defaultConfig.reduceMotion },
    nonce: {},
    inViewOptions: {}
  },
  setup(__props) {
    const props = __props;
    const parentConfig = useMotionConfig();
    const config = computed(() => ({
      transition: props.transition ?? parentConfig.value.transition,
      reduceMotion: props.reduceMotion ?? parentConfig.value.reduceMotion,
      nonce: props.nonce ?? parentConfig.value.nonce,
      inViewOptions: props.inViewOptions ?? parentConfig.value.inViewOptions
    }));
    provideMotionConfig(config);
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});
export {
  _sfc_main as default
};
