import { MotionProps } from './types';
import { MotionState } from '../../state';
export declare function useMotionState(props: MotionProps): {
    getProps: () => {
        lazyMotionContext: import('../lazy-motion/context').LazyMotionContext;
        layoutId: string;
        transition: import('../..').$Transition & {
            layout?: import('../..').$Transition;
        };
        layoutGroup: import('../context').LayoutGroupState;
        motionConfig: import('../motion-config/types').MotionConfigState;
        inViewOptions: import('../../features/gestures/in-view/types').InViewOptions & {
            once?: boolean;
        };
        animatePresenceContext: import('../presence').PresenceContext;
        initial: false | import('../..').VariantLabels | import('../..').Variant;
        as?: "div";
        asChild?: boolean;
        hover?: import('../..').Options["hover"];
        press?: import('../..').Options["press"];
        inView?: import('../..').Options["inView"];
        focus?: import('../..').Options["focus"];
        whileDrag?: import('../..').Options["whileDrag"];
        whileHover?: import('../..').Options["whileHover"];
        whilePress?: import('../..').Options["whilePress"];
        whileInView?: import('../..').Options["whileInView"];
        whileFocus?: import('../..').Options["whileFocus"];
        forwardMotionProps?: boolean;
        features?: import('../../features').Feature[];
        ignoreStrict?: boolean;
        custom?: unknown;
        animate?: import('../..').VariantLabels | import('../..').Variant | import('../../animation/types').AnimationControls;
        exit?: import('../..').VariantLabels | import('../..').Variant;
        variants?: {
            [k: string]: import('../..').Variant | ((custom: unknown) => import('../..').Variant);
        };
        inherit?: boolean;
        style?: Partial<{
            [x: number]: string | number | import('motion-dom').MotionValue<any>;
            [x: `--${string}`]: string | number | import('motion-dom').MotionValue<any>;
            string?: string | number | import('motion-dom').MotionValue<any>;
            end?: string | number | import('motion-dom').MotionValue<any>;
            x?: string | number | import('motion-dom').MotionValue<any>;
            y?: string | number | import('motion-dom').MotionValue<any>;
            position?: string | number | import('motion-dom').MotionValue<any>;
            page?: string | number | import('motion-dom').MotionValue<any>;
            [Symbol.iterator]?: string | number | import('motion-dom').MotionValue<any>;
            top?: string | number | import('motion-dom').MotionValue<any>;
            right?: string | number | import('motion-dom').MotionValue<any>;
            bottom?: string | number | import('motion-dom').MotionValue<any>;
            left?: string | number | import('motion-dom').MotionValue<any>;
            readonly length?: string | number | import('motion-dom').MotionValue<any>;
            filter?: string | number | import('motion-dom').MotionValue<any>;
            fill?: string | number | import('motion-dom').MotionValue<any>;
            values?: string | number | import('motion-dom').MotionValue<any>;
            all?: string | number | import('motion-dom').MotionValue<any>;
            clear?: string | number | import('motion-dom').MotionValue<any>;
            willChange?: string | number | import('motion-dom').MotionValue<any>;
            rotate?: string | number | import('motion-dom').MotionValue<any>;
            scale?: string | number | import('motion-dom').MotionValue<any>;
            perspective?: string | number | import('motion-dom').MotionValue<any>;
            transition?: string | number | import('motion-dom').MotionValue<any>;
            translate?: string | number | import('motion-dom').MotionValue<any>;
            from?: string | number | import('motion-dom').MotionValue<any>;
            resize?: string | number | import('motion-dom').MotionValue<any>;
            transform?: string | number | import('motion-dom').MotionValue<any>;
            offset?: string | number | import('motion-dom').MotionValue<any>;
            clipPath?: string | number | import('motion-dom').MotionValue<any>;
            marker?: string | number | import('motion-dom').MotionValue<any>;
            mask?: string | number | import('motion-dom').MotionValue<any>;
            path?: string | number | import('motion-dom').MotionValue<any>;
            direction?: string | number | import('motion-dom').MotionValue<any>;
            z?: string | number | import('motion-dom').MotionValue<any>;
            accentColor?: string | number | import('motion-dom').MotionValue<any>;
            alignContent?: string | number | import('motion-dom').MotionValue<any>;
            alignItems?: string | number | import('motion-dom').MotionValue<any>;
            alignSelf?: string | number | import('motion-dom').MotionValue<any>;
            alignmentBaseline?: string | number | import('motion-dom').MotionValue<any>;
            animation?: string | number | import('motion-dom').MotionValue<any>;
            animationComposition?: string | number | import('motion-dom').MotionValue<any>;
            animationDelay?: string | number | import('motion-dom').MotionValue<any>;
            animationDirection?: string | number | import('motion-dom').MotionValue<any>;
            animationDuration?: string | number | import('motion-dom').MotionValue<any>;
            animationFillMode?: string | number | import('motion-dom').MotionValue<any>;
            animationIterationCount?: string | number | import('motion-dom').MotionValue<any>;
            animationName?: string | number | import('motion-dom').MotionValue<any>;
            animationPlayState?: string | number | import('motion-dom').MotionValue<any>;
            animationTimingFunction?: string | number | import('motion-dom').MotionValue<any>;
            appearance?: string | number | import('motion-dom').MotionValue<any>;
            aspectRatio?: string | number | import('motion-dom').MotionValue<any>;
            backdropFilter?: string | number | import('motion-dom').MotionValue<any>;
            backfaceVisibility?: string | number | import('motion-dom').MotionValue<any>;
            background?: string | number | import('motion-dom').MotionValue<any>;
            backgroundAttachment?: string | number | import('motion-dom').MotionValue<any>;
            backgroundBlendMode?: string | number | import('motion-dom').MotionValue<any>;
            backgroundClip?: string | number | import('motion-dom').MotionValue<any>;
            backgroundColor?: string | number | import('motion-dom').MotionValue<any>;
            backgroundImage?: string | number | import('motion-dom').MotionValue<any>;
            backgroundOrigin?: string | number | import('motion-dom').MotionValue<any>;
            backgroundPosition?: string | number | import('motion-dom').MotionValue<any>;
            backgroundPositionX?: string | number | import('motion-dom').MotionValue<any>;
            backgroundPositionY?: string | number | import('motion-dom').MotionValue<any>;
            backgroundRepeat?: string | number | import('motion-dom').MotionValue<any>;
            backgroundSize?: string | number | import('motion-dom').MotionValue<any>;
            baselineShift?: string | number | import('motion-dom').MotionValue<any>;
            baselineSource?: string | number | import('motion-dom').MotionValue<any>;
            blockSize?: string | number | import('motion-dom').MotionValue<any>;
            border?: string | number | import('motion-dom').MotionValue<any>;
            borderBlock?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockColor?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockEndColor?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockEndStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockEndWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockStartColor?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockStartStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockStartWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderBlockWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderBottom?: string | number | import('motion-dom').MotionValue<any>;
            borderBottomColor?: string | number | import('motion-dom').MotionValue<any>;
            borderBottomLeftRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderBottomRightRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderBottomStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderBottomWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderCollapse?: string | number | import('motion-dom').MotionValue<any>;
            borderColor?: string | number | import('motion-dom').MotionValue<any>;
            borderEndEndRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderEndStartRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderImage?: string | number | import('motion-dom').MotionValue<any>;
            borderImageOutset?: string | number | import('motion-dom').MotionValue<any>;
            borderImageRepeat?: string | number | import('motion-dom').MotionValue<any>;
            borderImageSlice?: string | number | import('motion-dom').MotionValue<any>;
            borderImageSource?: string | number | import('motion-dom').MotionValue<any>;
            borderImageWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderInline?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineColor?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineEndColor?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineEndStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineEndWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineStartColor?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineStartStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineStartWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderInlineWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderLeft?: string | number | import('motion-dom').MotionValue<any>;
            borderLeftColor?: string | number | import('motion-dom').MotionValue<any>;
            borderLeftStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderLeftWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderRight?: string | number | import('motion-dom').MotionValue<any>;
            borderRightColor?: string | number | import('motion-dom').MotionValue<any>;
            borderRightStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderRightWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderSpacing?: string | number | import('motion-dom').MotionValue<any>;
            borderStartEndRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderStartStartRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderTop?: string | number | import('motion-dom').MotionValue<any>;
            borderTopColor?: string | number | import('motion-dom').MotionValue<any>;
            borderTopLeftRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderTopRightRadius?: string | number | import('motion-dom').MotionValue<any>;
            borderTopStyle?: string | number | import('motion-dom').MotionValue<any>;
            borderTopWidth?: string | number | import('motion-dom').MotionValue<any>;
            borderWidth?: string | number | import('motion-dom').MotionValue<any>;
            boxShadow?: string | number | import('motion-dom').MotionValue<any>;
            boxSizing?: string | number | import('motion-dom').MotionValue<any>;
            breakAfter?: string | number | import('motion-dom').MotionValue<any>;
            breakBefore?: string | number | import('motion-dom').MotionValue<any>;
            breakInside?: string | number | import('motion-dom').MotionValue<any>;
            captionSide?: string | number | import('motion-dom').MotionValue<any>;
            caretColor?: string | number | import('motion-dom').MotionValue<any>;
            clip?: string | number | import('motion-dom').MotionValue<any>;
            clipRule?: string | number | import('motion-dom').MotionValue<any>;
            color?: string | number | import('motion-dom').MotionValue<any>;
            colorInterpolation?: string | number | import('motion-dom').MotionValue<any>;
            colorInterpolationFilters?: string | number | import('motion-dom').MotionValue<any>;
            colorScheme?: string | number | import('motion-dom').MotionValue<any>;
            columnCount?: string | number | import('motion-dom').MotionValue<any>;
            columnFill?: string | number | import('motion-dom').MotionValue<any>;
            columnGap?: string | number | import('motion-dom').MotionValue<any>;
            columnRule?: string | number | import('motion-dom').MotionValue<any>;
            columnRuleColor?: string | number | import('motion-dom').MotionValue<any>;
            columnRuleStyle?: string | number | import('motion-dom').MotionValue<any>;
            columnRuleWidth?: string | number | import('motion-dom').MotionValue<any>;
            columnSpan?: string | number | import('motion-dom').MotionValue<any>;
            columnWidth?: string | number | import('motion-dom').MotionValue<any>;
            columns?: string | number | import('motion-dom').MotionValue<any>;
            contain?: string | number | import('motion-dom').MotionValue<any>;
            containIntrinsicBlockSize?: string | number | import('motion-dom').MotionValue<any>;
            containIntrinsicHeight?: string | number | import('motion-dom').MotionValue<any>;
            containIntrinsicInlineSize?: string | number | import('motion-dom').MotionValue<any>;
            containIntrinsicSize?: string | number | import('motion-dom').MotionValue<any>;
            containIntrinsicWidth?: string | number | import('motion-dom').MotionValue<any>;
            container?: string | number | import('motion-dom').MotionValue<any>;
            containerName?: string | number | import('motion-dom').MotionValue<any>;
            containerType?: string | number | import('motion-dom').MotionValue<any>;
            content?: string | number | import('motion-dom').MotionValue<any>;
            contentVisibility?: string | number | import('motion-dom').MotionValue<any>;
            counterIncrement?: string | number | import('motion-dom').MotionValue<any>;
            counterReset?: string | number | import('motion-dom').MotionValue<any>;
            counterSet?: string | number | import('motion-dom').MotionValue<any>;
            cssFloat?: string | number | import('motion-dom').MotionValue<any>;
            cssText?: string | number | import('motion-dom').MotionValue<any>;
            cursor?: string | number | import('motion-dom').MotionValue<any>;
            cx?: string | number | import('motion-dom').MotionValue<any>;
            cy?: string | number | import('motion-dom').MotionValue<any>;
            d?: string | number | import('motion-dom').MotionValue<any>;
            display?: string | number | import('motion-dom').MotionValue<any>;
            dominantBaseline?: string | number | import('motion-dom').MotionValue<any>;
            emptyCells?: string | number | import('motion-dom').MotionValue<any>;
            fillOpacity?: string | number | import('motion-dom').MotionValue<any>;
            fillRule?: string | number | import('motion-dom').MotionValue<any>;
            flex?: string | number | import('motion-dom').MotionValue<any>;
            flexBasis?: string | number | import('motion-dom').MotionValue<any>;
            flexDirection?: string | number | import('motion-dom').MotionValue<any>;
            flexFlow?: string | number | import('motion-dom').MotionValue<any>;
            flexGrow?: string | number | import('motion-dom').MotionValue<any>;
            flexShrink?: string | number | import('motion-dom').MotionValue<any>;
            flexWrap?: string | number | import('motion-dom').MotionValue<any>;
            float?: string | number | import('motion-dom').MotionValue<any>;
            floodColor?: string | number | import('motion-dom').MotionValue<any>;
            floodOpacity?: string | number | import('motion-dom').MotionValue<any>;
            font?: string | number | import('motion-dom').MotionValue<any>;
            fontFamily?: string | number | import('motion-dom').MotionValue<any>;
            fontFeatureSettings?: string | number | import('motion-dom').MotionValue<any>;
            fontKerning?: string | number | import('motion-dom').MotionValue<any>;
            fontOpticalSizing?: string | number | import('motion-dom').MotionValue<any>;
            fontPalette?: string | number | import('motion-dom').MotionValue<any>;
            fontSize?: string | number | import('motion-dom').MotionValue<any>;
            fontSizeAdjust?: string | number | import('motion-dom').MotionValue<any>;
            fontStretch?: string | number | import('motion-dom').MotionValue<any>;
            fontStyle?: string | number | import('motion-dom').MotionValue<any>;
            fontSynthesis?: string | number | import('motion-dom').MotionValue<any>;
            fontSynthesisSmallCaps?: string | number | import('motion-dom').MotionValue<any>;
            fontSynthesisStyle?: string | number | import('motion-dom').MotionValue<any>;
            fontSynthesisWeight?: string | number | import('motion-dom').MotionValue<any>;
            fontVariant?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantAlternates?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantCaps?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantEastAsian?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantLigatures?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantNumeric?: string | number | import('motion-dom').MotionValue<any>;
            fontVariantPosition?: string | number | import('motion-dom').MotionValue<any>;
            fontVariationSettings?: string | number | import('motion-dom').MotionValue<any>;
            fontWeight?: string | number | import('motion-dom').MotionValue<any>;
            forcedColorAdjust?: string | number | import('motion-dom').MotionValue<any>;
            gap?: string | number | import('motion-dom').MotionValue<any>;
            grid?: string | number | import('motion-dom').MotionValue<any>;
            gridArea?: string | number | import('motion-dom').MotionValue<any>;
            gridAutoColumns?: string | number | import('motion-dom').MotionValue<any>;
            gridAutoFlow?: string | number | import('motion-dom').MotionValue<any>;
            gridAutoRows?: string | number | import('motion-dom').MotionValue<any>;
            gridColumn?: string | number | import('motion-dom').MotionValue<any>;
            gridColumnEnd?: string | number | import('motion-dom').MotionValue<any>;
            gridColumnGap?: string | number | import('motion-dom').MotionValue<any>;
            gridColumnStart?: string | number | import('motion-dom').MotionValue<any>;
            gridGap?: string | number | import('motion-dom').MotionValue<any>;
            gridRow?: string | number | import('motion-dom').MotionValue<any>;
            gridRowEnd?: string | number | import('motion-dom').MotionValue<any>;
            gridRowGap?: string | number | import('motion-dom').MotionValue<any>;
            gridRowStart?: string | number | import('motion-dom').MotionValue<any>;
            gridTemplate?: string | number | import('motion-dom').MotionValue<any>;
            gridTemplateAreas?: string | number | import('motion-dom').MotionValue<any>;
            gridTemplateColumns?: string | number | import('motion-dom').MotionValue<any>;
            gridTemplateRows?: string | number | import('motion-dom').MotionValue<any>;
            height?: string | number | import('motion-dom').MotionValue<any>;
            hyphenateCharacter?: string | number | import('motion-dom').MotionValue<any>;
            hyphens?: string | number | import('motion-dom').MotionValue<any>;
            imageOrientation?: string | number | import('motion-dom').MotionValue<any>;
            imageRendering?: string | number | import('motion-dom').MotionValue<any>;
            inlineSize?: string | number | import('motion-dom').MotionValue<any>;
            inset?: string | number | import('motion-dom').MotionValue<any>;
            insetBlock?: string | number | import('motion-dom').MotionValue<any>;
            insetBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            insetBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            insetInline?: string | number | import('motion-dom').MotionValue<any>;
            insetInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            insetInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            isolation?: string | number | import('motion-dom').MotionValue<any>;
            justifyContent?: string | number | import('motion-dom').MotionValue<any>;
            justifyItems?: string | number | import('motion-dom').MotionValue<any>;
            justifySelf?: string | number | import('motion-dom').MotionValue<any>;
            letterSpacing?: string | number | import('motion-dom').MotionValue<any>;
            lightingColor?: string | number | import('motion-dom').MotionValue<any>;
            lineBreak?: string | number | import('motion-dom').MotionValue<any>;
            lineHeight?: string | number | import('motion-dom').MotionValue<any>;
            listStyle?: string | number | import('motion-dom').MotionValue<any>;
            listStyleImage?: string | number | import('motion-dom').MotionValue<any>;
            listStylePosition?: string | number | import('motion-dom').MotionValue<any>;
            listStyleType?: string | number | import('motion-dom').MotionValue<any>;
            margin?: string | number | import('motion-dom').MotionValue<any>;
            marginBlock?: string | number | import('motion-dom').MotionValue<any>;
            marginBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            marginBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            marginBottom?: string | number | import('motion-dom').MotionValue<any>;
            marginInline?: string | number | import('motion-dom').MotionValue<any>;
            marginInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            marginInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            marginLeft?: string | number | import('motion-dom').MotionValue<any>;
            marginRight?: string | number | import('motion-dom').MotionValue<any>;
            marginTop?: string | number | import('motion-dom').MotionValue<any>;
            markerEnd?: string | number | import('motion-dom').MotionValue<any>;
            markerMid?: string | number | import('motion-dom').MotionValue<any>;
            markerStart?: string | number | import('motion-dom').MotionValue<any>;
            maskClip?: string | number | import('motion-dom').MotionValue<any>;
            maskComposite?: string | number | import('motion-dom').MotionValue<any>;
            maskImage?: string | number | import('motion-dom').MotionValue<any>;
            maskMode?: string | number | import('motion-dom').MotionValue<any>;
            maskOrigin?: string | number | import('motion-dom').MotionValue<any>;
            maskPosition?: string | number | import('motion-dom').MotionValue<any>;
            maskRepeat?: string | number | import('motion-dom').MotionValue<any>;
            maskSize?: string | number | import('motion-dom').MotionValue<any>;
            maskType?: string | number | import('motion-dom').MotionValue<any>;
            mathDepth?: string | number | import('motion-dom').MotionValue<any>;
            mathStyle?: string | number | import('motion-dom').MotionValue<any>;
            maxBlockSize?: string | number | import('motion-dom').MotionValue<any>;
            maxHeight?: string | number | import('motion-dom').MotionValue<any>;
            maxInlineSize?: string | number | import('motion-dom').MotionValue<any>;
            maxWidth?: string | number | import('motion-dom').MotionValue<any>;
            minBlockSize?: string | number | import('motion-dom').MotionValue<any>;
            minHeight?: string | number | import('motion-dom').MotionValue<any>;
            minInlineSize?: string | number | import('motion-dom').MotionValue<any>;
            minWidth?: string | number | import('motion-dom').MotionValue<any>;
            mixBlendMode?: string | number | import('motion-dom').MotionValue<any>;
            objectFit?: string | number | import('motion-dom').MotionValue<any>;
            objectPosition?: string | number | import('motion-dom').MotionValue<any>;
            offsetAnchor?: string | number | import('motion-dom').MotionValue<any>;
            offsetDistance?: string | number | import('motion-dom').MotionValue<any>;
            offsetPath?: string | number | import('motion-dom').MotionValue<any>;
            offsetPosition?: string | number | import('motion-dom').MotionValue<any>;
            offsetRotate?: string | number | import('motion-dom').MotionValue<any>;
            opacity?: string | number | import('motion-dom').MotionValue<any>;
            order?: string | number | import('motion-dom').MotionValue<any>;
            orphans?: string | number | import('motion-dom').MotionValue<any>;
            outline?: string | number | import('motion-dom').MotionValue<any>;
            outlineColor?: string | number | import('motion-dom').MotionValue<any>;
            outlineOffset?: string | number | import('motion-dom').MotionValue<any>;
            outlineStyle?: string | number | import('motion-dom').MotionValue<any>;
            outlineWidth?: string | number | import('motion-dom').MotionValue<any>;
            overflow?: string | number | import('motion-dom').MotionValue<any>;
            overflowAnchor?: string | number | import('motion-dom').MotionValue<any>;
            overflowClipMargin?: string | number | import('motion-dom').MotionValue<any>;
            overflowWrap?: string | number | import('motion-dom').MotionValue<any>;
            overflowX?: string | number | import('motion-dom').MotionValue<any>;
            overflowY?: string | number | import('motion-dom').MotionValue<any>;
            overscrollBehavior?: string | number | import('motion-dom').MotionValue<any>;
            overscrollBehaviorBlock?: string | number | import('motion-dom').MotionValue<any>;
            overscrollBehaviorInline?: string | number | import('motion-dom').MotionValue<any>;
            overscrollBehaviorX?: string | number | import('motion-dom').MotionValue<any>;
            overscrollBehaviorY?: string | number | import('motion-dom').MotionValue<any>;
            padding?: string | number | import('motion-dom').MotionValue<any>;
            paddingBlock?: string | number | import('motion-dom').MotionValue<any>;
            paddingBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            paddingBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            paddingBottom?: string | number | import('motion-dom').MotionValue<any>;
            paddingInline?: string | number | import('motion-dom').MotionValue<any>;
            paddingInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            paddingInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            paddingLeft?: string | number | import('motion-dom').MotionValue<any>;
            paddingRight?: string | number | import('motion-dom').MotionValue<any>;
            paddingTop?: string | number | import('motion-dom').MotionValue<any>;
            pageBreakAfter?: string | number | import('motion-dom').MotionValue<any>;
            pageBreakBefore?: string | number | import('motion-dom').MotionValue<any>;
            pageBreakInside?: string | number | import('motion-dom').MotionValue<any>;
            paintOrder?: string | number | import('motion-dom').MotionValue<any>;
            readonly parentRule?: string | number | import('motion-dom').MotionValue<any>;
            perspectiveOrigin?: string | number | import('motion-dom').MotionValue<any>;
            placeContent?: string | number | import('motion-dom').MotionValue<any>;
            placeItems?: string | number | import('motion-dom').MotionValue<any>;
            placeSelf?: string | number | import('motion-dom').MotionValue<any>;
            pointerEvents?: string | number | import('motion-dom').MotionValue<any>;
            printColorAdjust?: string | number | import('motion-dom').MotionValue<any>;
            quotes?: string | number | import('motion-dom').MotionValue<any>;
            r?: string | number | import('motion-dom').MotionValue<any>;
            rowGap?: string | number | import('motion-dom').MotionValue<any>;
            rubyPosition?: string | number | import('motion-dom').MotionValue<any>;
            rx?: string | number | import('motion-dom').MotionValue<any>;
            ry?: string | number | import('motion-dom').MotionValue<any>;
            scrollBehavior?: string | number | import('motion-dom').MotionValue<any>;
            scrollMargin?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginBlock?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginBottom?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginInline?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginLeft?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginRight?: string | number | import('motion-dom').MotionValue<any>;
            scrollMarginTop?: string | number | import('motion-dom').MotionValue<any>;
            scrollPadding?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingBlock?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingBlockEnd?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingBlockStart?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingBottom?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingInline?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingInlineEnd?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingInlineStart?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingLeft?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingRight?: string | number | import('motion-dom').MotionValue<any>;
            scrollPaddingTop?: string | number | import('motion-dom').MotionValue<any>;
            scrollSnapAlign?: string | number | import('motion-dom').MotionValue<any>;
            scrollSnapStop?: string | number | import('motion-dom').MotionValue<any>;
            scrollSnapType?: string | number | import('motion-dom').MotionValue<any>;
            scrollbarColor?: string | number | import('motion-dom').MotionValue<any>;
            scrollbarGutter?: string | number | import('motion-dom').MotionValue<any>;
            scrollbarWidth?: string | number | import('motion-dom').MotionValue<any>;
            shapeImageThreshold?: string | number | import('motion-dom').MotionValue<any>;
            shapeMargin?: string | number | import('motion-dom').MotionValue<any>;
            shapeOutside?: string | number | import('motion-dom').MotionValue<any>;
            shapeRendering?: string | number | import('motion-dom').MotionValue<any>;
            stopColor?: string | number | import('motion-dom').MotionValue<any>;
            stopOpacity?: string | number | import('motion-dom').MotionValue<any>;
            stroke?: string | number | import('motion-dom').MotionValue<any>;
            strokeDasharray?: string | number | import('motion-dom').MotionValue<any>;
            strokeDashoffset?: string | number | import('motion-dom').MotionValue<any>;
            strokeLinecap?: string | number | import('motion-dom').MotionValue<any>;
            strokeLinejoin?: string | number | import('motion-dom').MotionValue<any>;
            strokeMiterlimit?: string | number | import('motion-dom').MotionValue<any>;
            strokeOpacity?: string | number | import('motion-dom').MotionValue<any>;
            strokeWidth?: string | number | import('motion-dom').MotionValue<any>;
            tabSize?: string | number | import('motion-dom').MotionValue<any>;
            tableLayout?: string | number | import('motion-dom').MotionValue<any>;
            textAlign?: string | number | import('motion-dom').MotionValue<any>;
            textAlignLast?: string | number | import('motion-dom').MotionValue<any>;
            textAnchor?: string | number | import('motion-dom').MotionValue<any>;
            textCombineUpright?: string | number | import('motion-dom').MotionValue<any>;
            textDecoration?: string | number | import('motion-dom').MotionValue<any>;
            textDecorationColor?: string | number | import('motion-dom').MotionValue<any>;
            textDecorationLine?: string | number | import('motion-dom').MotionValue<any>;
            textDecorationSkipInk?: string | number | import('motion-dom').MotionValue<any>;
            textDecorationStyle?: string | number | import('motion-dom').MotionValue<any>;
            textDecorationThickness?: string | number | import('motion-dom').MotionValue<any>;
            textEmphasis?: string | number | import('motion-dom').MotionValue<any>;
            textEmphasisColor?: string | number | import('motion-dom').MotionValue<any>;
            textEmphasisPosition?: string | number | import('motion-dom').MotionValue<any>;
            textEmphasisStyle?: string | number | import('motion-dom').MotionValue<any>;
            textIndent?: string | number | import('motion-dom').MotionValue<any>;
            textOrientation?: string | number | import('motion-dom').MotionValue<any>;
            textOverflow?: string | number | import('motion-dom').MotionValue<any>;
            textRendering?: string | number | import('motion-dom').MotionValue<any>;
            textShadow?: string | number | import('motion-dom').MotionValue<any>;
            textTransform?: string | number | import('motion-dom').MotionValue<any>;
            textUnderlineOffset?: string | number | import('motion-dom').MotionValue<any>;
            textUnderlinePosition?: string | number | import('motion-dom').MotionValue<any>;
            textWrap?: string | number | import('motion-dom').MotionValue<any>;
            textWrapMode?: string | number | import('motion-dom').MotionValue<any>;
            textWrapStyle?: string | number | import('motion-dom').MotionValue<any>;
            touchAction?: string | number | import('motion-dom').MotionValue<any>;
            transformBox?: string | number | import('motion-dom').MotionValue<any>;
            transformOrigin?: string | number | import('motion-dom').MotionValue<any>;
            transformStyle?: string | number | import('motion-dom').MotionValue<any>;
            transitionBehavior?: string | number | import('motion-dom').MotionValue<any>;
            transitionDelay?: string | number | import('motion-dom').MotionValue<any>;
            transitionDuration?: string | number | import('motion-dom').MotionValue<any>;
            transitionProperty?: string | number | import('motion-dom').MotionValue<any>;
            transitionTimingFunction?: string | number | import('motion-dom').MotionValue<any>;
            unicodeBidi?: string | number | import('motion-dom').MotionValue<any>;
            userSelect?: string | number | import('motion-dom').MotionValue<any>;
            vectorEffect?: string | number | import('motion-dom').MotionValue<any>;
            verticalAlign?: string | number | import('motion-dom').MotionValue<any>;
            visibility?: string | number | import('motion-dom').MotionValue<any>;
            webkitAlignContent?: string | number | import('motion-dom').MotionValue<any>;
            webkitAlignItems?: string | number | import('motion-dom').MotionValue<any>;
            webkitAlignSelf?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimation?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationDelay?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationDirection?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationDuration?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationFillMode?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationIterationCount?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationName?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationPlayState?: string | number | import('motion-dom').MotionValue<any>;
            webkitAnimationTimingFunction?: string | number | import('motion-dom').MotionValue<any>;
            webkitAppearance?: string | number | import('motion-dom').MotionValue<any>;
            webkitBackfaceVisibility?: string | number | import('motion-dom').MotionValue<any>;
            webkitBackgroundClip?: string | number | import('motion-dom').MotionValue<any>;
            webkitBackgroundOrigin?: string | number | import('motion-dom').MotionValue<any>;
            webkitBackgroundSize?: string | number | import('motion-dom').MotionValue<any>;
            webkitBorderBottomLeftRadius?: string | number | import('motion-dom').MotionValue<any>;
            webkitBorderBottomRightRadius?: string | number | import('motion-dom').MotionValue<any>;
            webkitBorderRadius?: string | number | import('motion-dom').MotionValue<any>;
            webkitBorderTopLeftRadius?: string | number | import('motion-dom').MotionValue<any>;
            webkitBorderTopRightRadius?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxAlign?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxFlex?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxOrdinalGroup?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxOrient?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxPack?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxShadow?: string | number | import('motion-dom').MotionValue<any>;
            webkitBoxSizing?: string | number | import('motion-dom').MotionValue<any>;
            webkitFilter?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlex?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexBasis?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexDirection?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexFlow?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexGrow?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexShrink?: string | number | import('motion-dom').MotionValue<any>;
            webkitFlexWrap?: string | number | import('motion-dom').MotionValue<any>;
            webkitJustifyContent?: string | number | import('motion-dom').MotionValue<any>;
            webkitLineClamp?: string | number | import('motion-dom').MotionValue<any>;
            webkitMask?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImage?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImageOutset?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImageRepeat?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImageSlice?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImageSource?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskBoxImageWidth?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskClip?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskComposite?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskImage?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskOrigin?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskPosition?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskRepeat?: string | number | import('motion-dom').MotionValue<any>;
            webkitMaskSize?: string | number | import('motion-dom').MotionValue<any>;
            webkitOrder?: string | number | import('motion-dom').MotionValue<any>;
            webkitPerspective?: string | number | import('motion-dom').MotionValue<any>;
            webkitPerspectiveOrigin?: string | number | import('motion-dom').MotionValue<any>;
            webkitTextFillColor?: string | number | import('motion-dom').MotionValue<any>;
            webkitTextSizeAdjust?: string | number | import('motion-dom').MotionValue<any>;
            webkitTextStroke?: string | number | import('motion-dom').MotionValue<any>;
            webkitTextStrokeColor?: string | number | import('motion-dom').MotionValue<any>;
            webkitTextStrokeWidth?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransform?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransformOrigin?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransformStyle?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransition?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransitionDelay?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransitionDuration?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransitionProperty?: string | number | import('motion-dom').MotionValue<any>;
            webkitTransitionTimingFunction?: string | number | import('motion-dom').MotionValue<any>;
            webkitUserSelect?: string | number | import('motion-dom').MotionValue<any>;
            whiteSpace?: string | number | import('motion-dom').MotionValue<any>;
            whiteSpaceCollapse?: string | number | import('motion-dom').MotionValue<any>;
            widows?: string | number | import('motion-dom').MotionValue<any>;
            width?: string | number | import('motion-dom').MotionValue<any>;
            wordBreak?: string | number | import('motion-dom').MotionValue<any>;
            wordSpacing?: string | number | import('motion-dom').MotionValue<any>;
            wordWrap?: string | number | import('motion-dom').MotionValue<any>;
            writingMode?: string | number | import('motion-dom').MotionValue<any>;
            zIndex?: string | number | import('motion-dom').MotionValue<any>;
            zoom?: string | number | import('motion-dom').MotionValue<any>;
            getPropertyPriority?: string | number | import('motion-dom').MotionValue<any>;
            getPropertyValue?: string | number | import('motion-dom').MotionValue<any>;
            item?: string | number | import('motion-dom').MotionValue<any>;
            removeProperty?: string | number | import('motion-dom').MotionValue<any>;
            setProperty?: string | number | import('motion-dom').MotionValue<any>;
            rotateX?: string | number | import('motion-dom').MotionValue<any>;
            rotateY?: string | number | import('motion-dom').MotionValue<any>;
            rotateZ?: string | number | import('motion-dom').MotionValue<any>;
            scaleX?: string | number | import('motion-dom').MotionValue<any>;
            scaleY?: string | number | import('motion-dom').MotionValue<any>;
            scaleZ?: string | number | import('motion-dom').MotionValue<any>;
            skewX?: string | number | import('motion-dom').MotionValue<any>;
            skewY?: string | number | import('motion-dom').MotionValue<any>;
            accentHeight?: string | number | import('motion-dom').MotionValue<any>;
            accumulate?: string | number | import('motion-dom').MotionValue<any>;
            additive?: string | number | import('motion-dom').MotionValue<any>;
            allowReorder?: string | number | import('motion-dom').MotionValue<any>;
            alphabetic?: string | number | import('motion-dom').MotionValue<any>;
            amplitude?: string | number | import('motion-dom').MotionValue<any>;
            arabicForm?: string | number | import('motion-dom').MotionValue<any>;
            ascent?: string | number | import('motion-dom').MotionValue<any>;
            attributeName?: string | number | import('motion-dom').MotionValue<any>;
            attributeType?: string | number | import('motion-dom').MotionValue<any>;
            autoReverse?: string | number | import('motion-dom').MotionValue<any>;
            azimuth?: string | number | import('motion-dom').MotionValue<any>;
            baseFrequency?: string | number | import('motion-dom').MotionValue<any>;
            baseProfile?: string | number | import('motion-dom').MotionValue<any>;
            bbox?: string | number | import('motion-dom').MotionValue<any>;
            begin?: string | number | import('motion-dom').MotionValue<any>;
            bias?: string | number | import('motion-dom').MotionValue<any>;
            by?: string | number | import('motion-dom').MotionValue<any>;
            calcMode?: string | number | import('motion-dom').MotionValue<any>;
            capHeight?: string | number | import('motion-dom').MotionValue<any>;
            clipPathUnits?: string | number | import('motion-dom').MotionValue<any>;
            colorProfile?: string | number | import('motion-dom').MotionValue<any>;
            colorRendering?: string | number | import('motion-dom').MotionValue<any>;
            contentScriptType?: string | number | import('motion-dom').MotionValue<any>;
            contentStyleType?: string | number | import('motion-dom').MotionValue<any>;
            decelerate?: string | number | import('motion-dom').MotionValue<any>;
            descent?: string | number | import('motion-dom').MotionValue<any>;
            diffuseConstant?: string | number | import('motion-dom').MotionValue<any>;
            divisor?: string | number | import('motion-dom').MotionValue<any>;
            dur?: string | number | import('motion-dom').MotionValue<any>;
            dx?: string | number | import('motion-dom').MotionValue<any>;
            dy?: string | number | import('motion-dom').MotionValue<any>;
            edgeMode?: string | number | import('motion-dom').MotionValue<any>;
            elevation?: string | number | import('motion-dom').MotionValue<any>;
            enableBackground?: string | number | import('motion-dom').MotionValue<any>;
            exponent?: string | number | import('motion-dom').MotionValue<any>;
            externalResourcesRequired?: string | number | import('motion-dom').MotionValue<any>;
            filterRes?: string | number | import('motion-dom').MotionValue<any>;
            filterUnits?: string | number | import('motion-dom').MotionValue<any>;
            focusable?: string | number | import('motion-dom').MotionValue<any>;
            format?: string | number | import('motion-dom').MotionValue<any>;
            fr?: string | number | import('motion-dom').MotionValue<any>;
            fx?: string | number | import('motion-dom').MotionValue<any>;
            fy?: string | number | import('motion-dom').MotionValue<any>;
            g1?: string | number | import('motion-dom').MotionValue<any>;
            g2?: string | number | import('motion-dom').MotionValue<any>;
            glyphName?: string | number | import('motion-dom').MotionValue<any>;
            glyphOrientationHorizontal?: string | number | import('motion-dom').MotionValue<any>;
            glyphOrientationVertical?: string | number | import('motion-dom').MotionValue<any>;
            glyphRef?: string | number | import('motion-dom').MotionValue<any>;
            gradientTransform?: string | number | import('motion-dom').MotionValue<any>;
            gradientUnits?: string | number | import('motion-dom').MotionValue<any>;
            hanging?: string | number | import('motion-dom').MotionValue<any>;
            horizAdvX?: string | number | import('motion-dom').MotionValue<any>;
            horizOriginX?: string | number | import('motion-dom').MotionValue<any>;
            href?: string | number | import('motion-dom').MotionValue<any>;
            ideographic?: string | number | import('motion-dom').MotionValue<any>;
            in2?: string | number | import('motion-dom').MotionValue<any>;
            in?: string | number | import('motion-dom').MotionValue<any>;
            intercept?: string | number | import('motion-dom').MotionValue<any>;
            k1?: string | number | import('motion-dom').MotionValue<any>;
            k2?: string | number | import('motion-dom').MotionValue<any>;
            k3?: string | number | import('motion-dom').MotionValue<any>;
            k4?: string | number | import('motion-dom').MotionValue<any>;
            k?: string | number | import('motion-dom').MotionValue<any>;
            kernelMatrix?: string | number | import('motion-dom').MotionValue<any>;
            kernelUnitLength?: string | number | import('motion-dom').MotionValue<any>;
            kerning?: string | number | import('motion-dom').MotionValue<any>;
            keyPoints?: string | number | import('motion-dom').MotionValue<any>;
            keySplines?: string | number | import('motion-dom').MotionValue<any>;
            keyTimes?: string | number | import('motion-dom').MotionValue<any>;
            lengthAdjust?: string | number | import('motion-dom').MotionValue<any>;
            limitingConeAngle?: string | number | import('motion-dom').MotionValue<any>;
            local?: string | number | import('motion-dom').MotionValue<any>;
            markerHeight?: string | number | import('motion-dom').MotionValue<any>;
            markerUnits?: string | number | import('motion-dom').MotionValue<any>;
            markerWidth?: string | number | import('motion-dom').MotionValue<any>;
            maskContentUnits?: string | number | import('motion-dom').MotionValue<any>;
            maskUnits?: string | number | import('motion-dom').MotionValue<any>;
            mathematical?: string | number | import('motion-dom').MotionValue<any>;
            mode?: string | number | import('motion-dom').MotionValue<any>;
            numOctaves?: string | number | import('motion-dom').MotionValue<any>;
            operator?: string | number | import('motion-dom').MotionValue<any>;
            orient?: string | number | import('motion-dom').MotionValue<any>;
            orientation?: string | number | import('motion-dom').MotionValue<any>;
            origin?: string | number | import('motion-dom').MotionValue<any>;
            overlinePosition?: string | number | import('motion-dom').MotionValue<any>;
            overlineThickness?: string | number | import('motion-dom').MotionValue<any>;
            panose1?: string | number | import('motion-dom').MotionValue<any>;
            pathLength?: string | number | import('motion-dom').MotionValue<any>;
            patternContentUnits?: string | number | import('motion-dom').MotionValue<any>;
            patternTransform?: string | number | import('motion-dom').MotionValue<any>;
            patternUnits?: string | number | import('motion-dom').MotionValue<any>;
            points?: string | number | import('motion-dom').MotionValue<any>;
            pointsAtX?: string | number | import('motion-dom').MotionValue<any>;
            pointsAtY?: string | number | import('motion-dom').MotionValue<any>;
            pointsAtZ?: string | number | import('motion-dom').MotionValue<any>;
            preserveAlpha?: string | number | import('motion-dom').MotionValue<any>;
            preserveAspectRatio?: string | number | import('motion-dom').MotionValue<any>;
            primitiveUnits?: string | number | import('motion-dom').MotionValue<any>;
            radius?: string | number | import('motion-dom').MotionValue<any>;
            refX?: string | number | import('motion-dom').MotionValue<any>;
            refY?: string | number | import('motion-dom').MotionValue<any>;
            renderingIntent?: string | number | import('motion-dom').MotionValue<any>;
            repeatCount?: string | number | import('motion-dom').MotionValue<any>;
            repeatDur?: string | number | import('motion-dom').MotionValue<any>;
            requiredExtensions?: string | number | import('motion-dom').MotionValue<any>;
            requiredFeatures?: string | number | import('motion-dom').MotionValue<any>;
            restart?: string | number | import('motion-dom').MotionValue<any>;
            result?: string | number | import('motion-dom').MotionValue<any>;
            seed?: string | number | import('motion-dom').MotionValue<any>;
            slope?: string | number | import('motion-dom').MotionValue<any>;
            spacing?: string | number | import('motion-dom').MotionValue<any>;
            specularConstant?: string | number | import('motion-dom').MotionValue<any>;
            specularExponent?: string | number | import('motion-dom').MotionValue<any>;
            speed?: string | number | import('motion-dom').MotionValue<any>;
            spreadMethod?: string | number | import('motion-dom').MotionValue<any>;
            startOffset?: string | number | import('motion-dom').MotionValue<any>;
            stdDeviation?: string | number | import('motion-dom').MotionValue<any>;
            stemh?: string | number | import('motion-dom').MotionValue<any>;
            stemv?: string | number | import('motion-dom').MotionValue<any>;
            stitchTiles?: string | number | import('motion-dom').MotionValue<any>;
            strikethroughPosition?: string | number | import('motion-dom').MotionValue<any>;
            strikethroughThickness?: string | number | import('motion-dom').MotionValue<any>;
            surfaceScale?: string | number | import('motion-dom').MotionValue<any>;
            systemLanguage?: string | number | import('motion-dom').MotionValue<any>;
            tableValues?: string | number | import('motion-dom').MotionValue<any>;
            targetX?: string | number | import('motion-dom').MotionValue<any>;
            targetY?: string | number | import('motion-dom').MotionValue<any>;
            textLength?: string | number | import('motion-dom').MotionValue<any>;
            to?: string | number | import('motion-dom').MotionValue<any>;
            u1?: string | number | import('motion-dom').MotionValue<any>;
            u2?: string | number | import('motion-dom').MotionValue<any>;
            underlinePosition?: string | number | import('motion-dom').MotionValue<any>;
            underlineThickness?: string | number | import('motion-dom').MotionValue<any>;
            unicode?: string | number | import('motion-dom').MotionValue<any>;
            unicodeRange?: string | number | import('motion-dom').MotionValue<any>;
            unitsPerEm?: string | number | import('motion-dom').MotionValue<any>;
            vAlphabetic?: string | number | import('motion-dom').MotionValue<any>;
            version?: string | number | import('motion-dom').MotionValue<any>;
            vertAdvY?: string | number | import('motion-dom').MotionValue<any>;
            vertOriginX?: string | number | import('motion-dom').MotionValue<any>;
            vertOriginY?: string | number | import('motion-dom').MotionValue<any>;
            vHanging?: string | number | import('motion-dom').MotionValue<any>;
            vIdeographic?: string | number | import('motion-dom').MotionValue<any>;
            viewBox?: string | number | import('motion-dom').MotionValue<any>;
            viewTarget?: string | number | import('motion-dom').MotionValue<any>;
            vMathematical?: string | number | import('motion-dom').MotionValue<any>;
            widths?: string | number | import('motion-dom').MotionValue<any>;
            x1?: string | number | import('motion-dom').MotionValue<any>;
            x2?: string | number | import('motion-dom').MotionValue<any>;
            xChannelSelector?: string | number | import('motion-dom').MotionValue<any>;
            xHeight?: string | number | import('motion-dom').MotionValue<any>;
            xlinkActuate?: string | number | import('motion-dom').MotionValue<any>;
            xlinkArcrole?: string | number | import('motion-dom').MotionValue<any>;
            xlinkHref?: string | number | import('motion-dom').MotionValue<any>;
            xlinkRole?: string | number | import('motion-dom').MotionValue<any>;
            xlinkShow?: string | number | import('motion-dom').MotionValue<any>;
            xlinkTitle?: string | number | import('motion-dom').MotionValue<any>;
            xlinkType?: string | number | import('motion-dom').MotionValue<any>;
            xmlBase?: string | number | import('motion-dom').MotionValue<any>;
            xmlLang?: string | number | import('motion-dom').MotionValue<any>;
            xmlns?: string | number | import('motion-dom').MotionValue<any>;
            xmlnsXlink?: string | number | import('motion-dom').MotionValue<any>;
            xmlSpace?: string | number | import('motion-dom').MotionValue<any>;
            y1?: string | number | import('motion-dom').MotionValue<any>;
            y2?: string | number | import('motion-dom').MotionValue<any>;
            yChannelSelector?: string | number | import('motion-dom').MotionValue<any>;
            zoomAndPan?: string | number | import('motion-dom').MotionValue<any>;
            pathOffset?: string | number | import('motion-dom').MotionValue<any>;
            pathSpacing?: string | number | import('motion-dom').MotionValue<any>;
            translateX?: string | number | import('motion-dom').MotionValue<any>;
            translateY?: string | number | import('motion-dom').MotionValue<any>;
            translateZ?: string | number | import('motion-dom').MotionValue<any>;
            skew?: string | number | import('motion-dom').MotionValue<any>;
            originX?: string | number | import('motion-dom').MotionValue<any>;
            originY?: string | number | import('motion-dom').MotionValue<any>;
            originZ?: string | number | import('motion-dom').MotionValue<any>;
            transformPerspective?: string | number | import('motion-dom').MotionValue<any>;
        }>;
        transformTemplate?: (transform: import('motion-dom').TransformProperties, generatedTransform: string) => string;
        onAnimationComplete?: (definition: import('../..').Options["animate"]) => void;
        onUpdate?: (latest: import('framer-motion').ResolvedValues) => void;
        onAnimationStart?: (definition: import('../..').Options["animate"]) => void;
        layout?: boolean | "position" | "size" | "preserve-aspect";
        layoutScroll?: boolean;
        layoutRoot?: boolean;
        'data-framer-portal-id'?: string;
        crossfade?: boolean;
        layoutDependency?: any;
        onBeforeLayoutMeasure?: (box: import('framer-motion').Box) => void;
        onLayoutMeasure?: (box: import('framer-motion').Box, prevBox: import('framer-motion').Box) => void;
        onLayoutAnimationStart?: () => void;
        onLayoutAnimationComplete?: () => void;
        globalPressTarget?: boolean;
        onPressStart?: import('../../features/gestures/press/types').PressEvent;
        onPress?: import('../../features/gestures/press/types').PressEvent;
        onPressCancel?: import('../../features/gestures/press/types').PressEvent;
        onHoverStart?: import('../../features/gestures/hover/types').HoverEvent;
        onHoverEnd?: import('../../features/gestures/hover/types').HoverEvent;
        onViewportEnter?: (entry: IntersectionObserverEntry | null) => void;
        onViewportLeave?: (entry: IntersectionObserverEntry | null) => void;
        drag?: boolean | "x" | "y";
        dragSnapToOrigin?: boolean;
        dragDirectionLock?: boolean;
        dragPropagation?: boolean;
        dragConstraints?: false | Partial<import('framer-motion').BoundingBox> | HTMLElement;
        dragElastic?: import('framer-motion').DragElastic;
        dragMomentum?: boolean;
        dragTransition?: import('motion-dom').InertiaOptions;
        dragListener?: boolean;
        dragControls?: import('../../features/gestures/drag/use-drag-controls').DragControls;
        onDragStart?: (event: PointerEvent, info: import('framer-motion').PanInfo) => void;
        onDragEnd?: (event: PointerEvent, info: import('framer-motion').PanInfo) => void;
        onDrag?: (event: PointerEvent, info: import('framer-motion').PanInfo) => void;
        onDirectionLock?: (axis: "x" | "y") => void;
        onDragTransitionEnd?: () => void;
        onMeasureDragConstraints?: (constraints: import('framer-motion').BoundingBox) => import('framer-motion').BoundingBox | void;
        onPanSessionStart?: (event: PointerEvent, info: import('../..').PanInfo) => void;
        onPanStart?: (event: PointerEvent, info: import('../..').PanInfo) => void;
        onPan?: (event: PointerEvent, info: import('../..').PanInfo) => void;
        onPanEnd?: (event: PointerEvent, info: import('../..').PanInfo) => void;
        onFocus?: (e: FocusEvent) => void;
        onBlur?: (e: FocusEvent) => void;
    };
    getAttrs: () => {
        [x: string]: unknown;
    };
    layoutGroup: import('../context').LayoutGroupState;
    state: MotionState;
};
