import { useCombineMotionValues } from "./use-combine-values.mjs";
import "../external/.pnpm/motion-utils@12.5.0/external/motion-utils/dist/es/errors.mjs";
import { collectMotionValues } from "../external/.pnpm/motion-dom@12.5.0/external/motion-dom/dist/es/value/index.mjs";
import { onBeforeUpdate } from "vue";
function useComputed(computed) {
  collectMotionValues.current = [];
  const { value, subscribe, unsubscribe } = useCombineMotionValues(computed);
  subscribe(collectMotionValues.current);
  collectMotionValues.current = void 0;
  onBeforeUpdate(() => {
    unsubscribe();
    collectMotionValues.current = [];
    computed();
    subscribe(collectMotionValues.current);
    collectMotionValues.current = void 0;
  });
  return value;
}
export {
  useComputed
};
