import { Ref } from 'vue';
import { ScrollInfoOptions } from '../types';
export interface UseScrollOptions extends Omit<ScrollInfoOptions, 'container' | 'target'> {
    container?: Ref<HTMLElement | null>;
    target?: Ref<HTMLElement | null>;
}
export declare function useScroll({ container, target, ...options }?: UseScrollOptions): {
    scrollX: import('motion-dom').MotionValue<number>;
    scrollY: import('motion-dom').MotionValue<number>;
    scrollXProgress: import('motion-dom').MotionValue<number>;
    scrollYProgress: import('motion-dom').MotionValue<number>;
};
