import { MotionValue } from 'framer-motion/dom';
/**
 * 创建一个 MotionValue,当提供的 MotionValue 速度变化时更新
 *
 * ```javascript
 * const x = useMotionValue(0)
 * const xVelocity = useVelocity(x)
 * const xAcceleration = useVelocity(xVelocity)
 * ```
 *
 * @public
 */
export declare function useVelocity(value: MotionValue<number>): MotionValue<number>;
